[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TObject.StringMessageTable

Return a pointer to the string message table.

## Declaration

Source position: objpash.inc line 225

`public class function TObject.StringMessageTable: pstringmessagetable;`

## Description

StringMessageTable returns a pointer to the string message table, which can be used to look up methods for dispatching a string message. It is used by the DispatchStr method.

## Errors

If there are no string message handlers, nil is returned.

## See also

DispatchStr |  | Dispatch a string message.
Dispatch |  | Dispatch an integer message